Bug 1530061

Summary: Add support for ligatures for liberation-serif font
Product: [Fedora] Fedora Reporter: jakob.jakobson18
Component: liberation-fontsAssignee: vishal vijayraghavan <vvijayra>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: alexl, fonts-bugs, i18n-bugs, john.j5live, mclasen, petersen, psatpute, rhughes, rstrode, sandmann
Target Milestone: ---Keywords: i18n
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-30 22:27:17 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description jakob.jakobson18 2018-01-01 17:19:04 UTC
Dear developers,

it would be nice if the liberation-serif font would support ligatures as this looks nicer in longer texts.


Regards

Comment 1 Pravin Satpute 2018-01-03 05:06:10 UTC
Which ligatures? good to provide few examples or image.

Liberation 2.00.1 has nice support for ligature. We are planning to

Comment 2 jakob.jakobson18 2018-01-03 11:34:56 UTC
(In reply to Pravin Satpute from comment #1)
> Which ligatures? good to provide few examples or image.
> 
> Liberation 2.00.1 has nice support for ligature. We are planning to

I guess the most prominent ligatures would be 

ff, fi, fl, ffl and ffi

for German and English at least. So far I couldn't bring either libreoffice-writer or any tex-engine to produce them with the liberation fonts.

In a long run it would be nice to have all ligatures listed in table "Ligatures in Unicode (Latin alphabets)" of the section "Computer typesetting" of the wikipedia article:

https://en.wikipedia.org/wiki/Typographic_ligature#Computer_typesetting


Regards

Comment 3 Ben Cotton 2018-11-27 14:44:36 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 22:27:17 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.